### Class

# GtkPrintDialog

since: 4.14

#### Description [src]

    final class Gtk.PrintDialog : GObject.Object
    {
      /* No available fields */
    }

A `GtkPrintDialog` object collects the arguments that are needed to present a print dialog to the user, such as a title for the dialog and whether it should be modal.

The dialog is shown with the `gtk_print_dialog_setup()` function. The actual printing can be done with `gtk_print_dialog_print()` or `gtk_print_dialog_print_file()`. These APIs follows the GIO async pattern, and the results can be obtained by calling the corresponding finish methods.

Available since: 4.14

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### gtk_print_dialog_new

Creates a new `GtkPrintDialog` object.

since: 4.14

#### Instance methods

###### gtk_print_dialog_get_accept_label

Returns the label that will be shown on the accept button of the print dialog.

since: 4.14

###### gtk_print_dialog_get_modal

Returns whether the print dialog blocks interaction with the parent window while it is presented.

since: 4.14

###### gtk_print_dialog_get_page_setup

Returns the page setup.

since: 4.14

###### gtk_print_dialog_get_print_settings

Returns the print settings for the print dialog.

since: 4.14

###### gtk_print_dialog_get_title

Returns the title that will be shown on the print dialog.

since: 4.14

###### gtk_print_dialog_print

This function prints content from a stream.

since: 4.14

###### gtk_print_dialog_print_file

This function prints a file.

since: 4.14

###### gtk_print_dialog_print_file_finish

Finishes the `gtk_print_dialog_print_file()` call and returns the results.

since: 4.14

###### gtk_print_dialog_print_finish

Finishes the `gtk_print_dialog_print()` call and returns the results.

since: 4.14

###### gtk_print_dialog_set_accept_label

Sets the label that will be shown on the accept button of the print dialog shown for `gtk_print_dialog_setup()`.

since: 4.14

###### gtk_print_dialog_set_modal

Sets whether the print dialog blocks interaction with the parent window while it is presented.

since: 4.14

###### gtk_print_dialog_set_page_setup

Set the page setup for the print dialog.

since: 4.14

###### gtk_print_dialog_set_print_settings

Sets the print settings for the print dialog.

since: 4.14

###### gtk_print_dialog_set_title

Sets the title that will be shown on the print dialog.

since: 4.14

###### gtk_print_dialog_setup

This function presents a print dialog to let the user select a printer, and set up print settings and page setup.

since: 4.14

###### gtk_print_dialog_setup_finish

Finishes the `gtk_print_dialog_setup()` call.

since: 4.14

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gtk.PrintDialog:accept-label

A label that may be shown on the accept button of a print dialog that is presented by `gtk_print_dialog_setup()`.

since: 4.14

###### Gtk.PrintDialog:modal

Whether the print dialog is modal.

since: 4.14

###### Gtk.PrintDialog:page-setup

The page setup to use.

since: 4.14

###### Gtk.PrintDialog:print-settings

The print settings to use.

since: 4.14

###### Gtk.PrintDialog:title

A title that may be shown on the print dialog that is presented by `gtk_print_dialog_setup()`.

since: 4.14

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkPrintDialogClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.